{
    "fields": [
        {
            "doc": "Reference assembly",
            "name": "assembly",
            "type": {
                "doc": "The reference genome assembly",
                "name": "Assembly",
                "symbols": [
                    "GRCh38",
                    "GRCh37"
                ],
                "type": "enum"
            }
        },
        {
            "doc": "Chromosome where two homologues were inherited from one parent",
            "name": "chromosome",
            "type": "string"
        },
        {
            "doc": "indicates whether UPD event involves an entire chromosome",
            "name": "complete",
            "type": [
                "null",
                "boolean"
            ]
        },
        {
            "doc": "The parent who contributed two chromosomes was the mother (maternal) or the father (paternal)",
            "name": "origin",
            "type": {
                "name": "UniparentalDisomyOrigin",
                "symbols": [
                    "paternal",
                    "maternal",
                    "unknown"
                ],
                "type": "enum"
            }
        },
        {
            "doc": "List of all of the UPD fragments for this UPD event",
            "name": "uniparentalDisomyFragments",
            "type": [
                "null",
                {
                    "items": {
                        "fields": [
                            {
                                "doc": "Coordinates can be specified to indicate the part of the chromosome affected",
                                "name": "coordinates",
                                "type": [
                                    "null",
                                    {
                                        "fields": [
                                            {
                                                "doc": "The assembly to which this variant corresponds",
                                                "name": "assembly",
                                                "type": "Assembly"
                                            },
                                            {
                                                "doc": "Chromosome without \"chr\" prefix (e.g. X rather than chrX)",
                                                "name": "chromosome",
                                                "type": "string"
                                            },
                                            {
                                                "doc": "Start genomic position for variant (1-based)",
                                                "name": "start",
                                                "type": "int"
                                            },
                                            {
                                                "doc": "End genomic position for variant",
                                                "name": "end",
                                                "type": "int"
                                            },
                                            {
                                                "name": "ciStart",
                                                "type": [
                                                    "null",
                                                    {
                                                        "fields": [
                                                            {
                                                                "name": "left",
                                                                "type": "int"
                                                            },
                                                            {
                                                                "name": "right",
                                                                "type": "int"
                                                            }
                                                        ],
                                                        "name": "ConfidenceInterval",
                                                        "type": "record"
                                                    }
                                                ]
                                            },
                                            {
                                                "name": "ciEnd",
                                                "type": [
                                                    "null",
                                                    "ConfidenceInterval"
                                                ]
                                            }
                                        ],
                                        "name": "Coordinates",
                                        "type": "record"
                                    }
                                ]
                            },
                            {
                                "doc": "indicates whether the UPD event involves `isodisomy`, `heterodisomy` or `both`",
                                "name": "uniparentalDisomyType",
                                "type": {
                                    "name": "UniparentalDisomyType",
                                    "symbols": [
                                        "isodisomy",
                                        "heterodisomy",
                                        "both"
                                    ],
                                    "type": "enum"
                                }
                            }
                        ],
                        "name": "UniparentalDisomyFragment",
                        "type": "record"
                    },
                    "type": "array"
                }
            ]
        }
    ],
    "name": "UniparentalDisomyDetails",
    "namespace": "org.gel.models.report.avro",
    "type": "record"
}